%global pkg_name digest

%global common_summary Haskell %{pkg_name} library

%global common_description This package provides efficient cryptographic hash implementations for strict\
and lazy bytestrings. For now, CRC32 and Adler32 are supported; they are\
implemented as FFI bindings to efficient code from zlib.

%global ghc_pkg_c_deps zlib-devel

%bcond_without shared
%bcond_without hscolour

# debuginfo is not useful for ghc
%global debug_package %{nil}

Name:           ghc-%{pkg_name}
Version:        0.0.0.8
Release:        1%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha
BuildRequires:  ghc, ghc-doc, ghc-prof
BuildRequires:  ghc-rpm-macros >= 0.7
%if %{with hscolour}
BuildRequires:  hscolour
%endif
%{?ghc_pkg_c_deps:BuildRequires:  %{ghc_pkg_c_deps}}

%description
%{common_description}
%if %{with shared}
This package provides the shared library.
%endif


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
rm -rf $RPM_BUILD_ROOT
%ghc_lib_install


%clean
rm -rf $RPM_BUILD_ROOT


%{?ghc_lib_package}


%changelog
* Fri Nov 12 2010 Jens Petersen <petersen@redhat.com> - 0.0.0.8-1
- BSD
- BR zlib-devel

* Fri Nov 12 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.0.0.8-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
